<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$smodulename=checkvalidstring($_POST['smodulename']);
	$smdisplayname=checkvalidstring($_POST['smdisplayname']);
$mmodulemid=$_POST['mmodulemid'];
$smodulemid=$_POST['smodulemid'];
	
	
	$smiconname=checkvalidstring($_POST['smiconname']);
	$smfilename=checkvalidstring($_POST['smfilename']);
	$smoduletag=checkvalidstring($_POST['smoduletag']);
	$smstatus=1;
	
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */
 $eve = "select * from res_submodule_master where smodulename='$smodulename' and smodulemid != $smodulemid";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "submodule  Already Inserted.";
		header('Location: submodule.php');
	}
	else
	{	
	

	$eve1 = "update res_submodule_master set smodulename='$smodulename',smdisplayname='$smdisplayname',smfilename='$smfilename',smiconname='$smiconname',smoduletag='$smoduletag',mmodulemid='$mmodulemid' $tt where smodulemid='$smodulemid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "submodule Record Updated succesfully";

		header('Location: submodule.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: submodule.php');

	}
	}

?>